Closed Bug 1582053 Opened 3 months ago Closed 3 months ago

High frequency xpcshell *contentscript | Test timed out

Categories

(WebExtensions :: General, defect)

defect
Not set

Tracking

(firefox-esr60 unaffected, firefox-esr68 unaffected, firefox69 fixed, firefox70 fixed, firefox71 fixed)

RESOLVED FIXED
mozilla71
Tracking Status
firefox-esr60 --- unaffected
firefox-esr68 --- unaffected
firefox69 --- fixed
firefox70 --- fixed
firefox71 --- fixed

People

(Reporter: malexandru, Assigned: ehsan)

References

(Regression)

Details

(Keywords: intermittent-failure, regression, Whiteboard: [retriggered][stockwell fixed])

Attachments

(2 files)

Push with failures:https://treeherder.mozilla.org/#/jobs?repo=autoland&group_state=expanded&resultStatus=pending%2Crunning%2Csuccess%2Ctestfailed%2Cbusted%2Cexception&searchStr=xpcshell&tochange=de91eb1a7b1d7d2bfbc2735da37c6d53096150fe&fromchange=89526353707b229556facd486bdfb7c877f880a1&selectedJob=267168876

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267168876&repo=autoland&lineNumber=6752

[task 2019-09-18T02:43:21.721Z] 02:43:21 INFO - TEST-START | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js
[task 2019-09-18T02:48:21.727Z] 02:48:21 WARNING - TEST-UNEXPECTED-TIMEOUT | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | Test timed out
[task 2019-09-18T02:48:21.727Z] 02:48:21 INFO - TEST-INFO took 300001ms
[task 2019-09-18T02:48:21.727Z] 02:48:21 INFO - >>>>>>>
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | Unable to load \untrusted-startup-test-dll.dll; LoadLibraryW failed: 126[10724, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2632
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file z:/build/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 661
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file z:/build/build/src/extensions/permissions/nsPermissionManager.cpp, line 2883
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - running event loop
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | Starting check_remote
[task 2019-09-18T02:48:21.728Z] 02:48:21 INFO - (xpcshell/head.js) | test check_remote pending (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | check_remote - [check_remote : 1] useRemoteWebExtensions matches - false == false
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | check_remote - [check_remote : 1] testing from extension process - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 1 pending (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test check_remote finished (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | Starting test_WebExtensinonContentScript_url_matching
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test test_WebExtensinonContentScript_url_matching pending (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_url_matching - [test_WebExtensinonContentScript_url_matching : 32] Simple matches include should match - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_url_matching - [test_WebExtensinonContentScript_url_matching : 37] Simple matches include should match - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_url_matching - [test_WebExtensinonContentScript_url_matching : 42] Failed includeGlobs match pattern should not match - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_url_matching - [test_WebExtensinonContentScript_url_matching : 47] Excluded match pattern should not match - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_url_matching - [test_WebExtensinonContentScript_url_matching : 52] Excluded match glob should not match - true == true
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 1 finished (2)
[task 2019-09-18T02:48:21.729Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 2 pending (2)
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - (xpcshell/head.js) | test test_WebExtensinonContentScript_url_matching finished (2)
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | Starting test_WebExtensinonContentScript_frame_matching
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - (xpcshell/head.js) | test test_WebExtensinonContentScript_frame_matching pending (2)
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Couldn't get the user appdata directory, crash dumps will go in an unusual location: file z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2702
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | ++DOCSHELL 0000021B564B6000 == 1 [pid = 10724] [id = {e4d7588a-6afb-4d3a-82b2-b3d423c577e9}]
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 1 (0000021B5645D200) [pid = 10724] [serial = 1] [outer = 0000000000000000]
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [11924, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file z:/build/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [11924, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file z:/build/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: This method is lossy. Use GetCanonicalPath !: file z:/build/build/src/xpcom/io/nsLocalFileWin.cpp, line 3200
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: This method is lossy. Use GetCanonicalPath !: file z:/build/build/src/xpcom/io/nsLocalFileWin.cpp, line 3200
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: This method is lossy. Use GetCanonicalPath !: file z:/build/build/src/xpcom/io/nsLocalFileWin.cpp, line 3200
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: '!workerClassifier', file z:/build/build/src/netwerk/url-classifier/AsyncUrlChannelClassifier.cpp, line 785
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 2 finished (2)
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 2 (0000021B64058C00) [pid = 10724] [serial = 2] [outer = 0000021B5645D200]
[task 2019-09-18T02:48:21.730Z] 02:48:21 INFO - PID 10724 | ++DOCSHELL 0000021B640AB000 == 2 [pid = 10724] [id = {5e2573bb-0fc6-4e73-a916-eca336ee5bd9}]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 3 (0000021B5645D7A0) [pid = 10724] [serial = 3] [outer = 0000000000000000]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOCSHELL 0000021B640AB800 == 3 [pid = 10724] [id = {763618a1-5f9a-4da3-adbb-72c0b6656d7b}]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 4 (0000021B5645D980) [pid = 10724] [serial = 4] [outer = 0000000000000000]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOCSHELL 0000021B640AC800 == 4 [pid = 10724] [id = {e8e53001-f885-46ba-9849-fb24d6b179ee}]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 5 (0000021B5645DB60) [pid = 10724] [serial = 5] [outer = 0000000000000000]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 6 (0000021B640A7400) [pid = 10724] [serial = 6] [outer = 0000021B5645D980]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 7 (0000021B64D29C00) [pid = 10724] [serial = 7] [outer = 0000021B5645DB60]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | [10724, Main Thread] WARNING: Workers don't support the 'mem.mem.' preference!: file z:/build/build/src/dom/workers/RuntimeService.cpp, line 544
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - PID 10724 | ++DOMWINDOW == 8 (0000021B64E04400) [pid = 10724] [serial = 8] [outer = 0000021B5645D7A0]
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 0 should match the topLevel frame - true == true
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 0 should match the request LoadInfo for topLevel frame - true == true
[task 2019-09-18T02:48:21.731Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 0 should not match the iframe frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 0 should not match the request LoadInfo for iframe frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 0 should not match the srcdoc frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 0 should not match the aboutBlank frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 1 should match the topLevel frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 1 should match the request LoadInfo for topLevel frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 1 should not match the iframe frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 1 should not match the request LoadInfo for iframe frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 1 should not match the srcdoc frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 1 should not match the aboutBlank frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 2 should match the topLevel frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 2 should match the request LoadInfo for topLevel frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 2 should match the iframe frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 2 should match the request LoadInfo for iframe frame - true == true
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 2 should not match the srcdoc frame - false == false
[task 2019-09-18T02:48:21.732Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 2 should not match the aboutBlank frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 3 should match the topLevel frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 3 should match the request LoadInfo for topLevel frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 3 should match the iframe frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 3 should match the request LoadInfo for iframe frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 3 should match the srcdoc frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 3 should match the aboutBlank frame - true == true
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 4 should not match the topLevel frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 4 should not match the request LoadInfo for topLevel frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 4 should not match the iframe frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 203] Script 4 should not match the request LoadInfo for iframe frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 4 should not match the srcdoc frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - TEST-PASS | xpcshell.ini:toolkit/components/extensions/test/xpcshell/test_WebExtensionContentScript.js | test_WebExtensinonContentScript_frame_matching - [test_WebExtensinonContentScript_frame_matching : 194] Script 4 should not match the aboutBlank frame - false == false
[task 2019-09-18T02:48:21.733Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 3 pending (2)
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - (xpcshell/head.js) | test test_WebExtensinonContentScript_frame_matching finished (2)
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - (xpcshell/head.js) | test run_next_test 3 finished (1)
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - exiting test
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | [10724, IPDL Background] WARNING: 'QuotaClient::IsShuttingDownOnBackgroundThread()', file z:/build/build/src/dom/indexedDB/ActorsParent.cpp, line 9269
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | [10724, IPDL Background] WARNING: Cannot bind null PBackgroundIDBFactoryParent actor: file z:/build/build/src/obj-firefox/ipc/ipdl/PBackgroundParent.cpp, line 3681
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | ###!!! [Parent][DispatchAsyncMessage] Error: PBackground::Msg_PBackgroundIDBFactoryConstructor Value error: message was deserialized, but contained an illegal value
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | [GPU 11924, Chrome_ChildThread] WARNING: pipe error: 109: file z:/bui
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | ld/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | [GPU 11924, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
[task 2019-09-18T02:48:21.734Z] 02:48:21 INFO - PID 10724 | [10724, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341

Ehsan, this seems to have started happening since the changes in Bug 1581160 landed, could you please take a look at it?

Flags: needinfo?(ehsan)
Duplicate of this bug: 1581733
Duplicate of this bug: 1581787
Duplicate of this bug: 1581835
Duplicate of this bug: 1581844
Duplicate of this bug: 1581675
Duplicate of this bug: 1581700
Flags: needinfo?(ehsan)
Duplicate of this bug: 1566111
Pushed by malexandru@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7679a5956540
Disable the remote settings server in web extension xpcshell tests; r=kmag
Pushed by malexandru@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1bab429affcc
Backed out changeset 7679a5956540 for landing the wrong diff. CLOSED TREE
https://hg.mozilla.org/integration/autoland/rev/d9776a305227
Disable the remote settings server in web extension xpcshell tests; CLOSED TREE
Duplicate of this bug: 1581756
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla71
Flags: needinfo?(ehsan)
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Target Milestone: mozilla71 → ---

This is causing spikes in the bugs mentioned in the regressions section.

Regressions: 1565381, 1565337, 1565905

It looks like the content processes are crashing here. This failure (bug 1552800) is the only thing that has a crash stack. This probably has nothing to do with bug 1581160, except for a timing change or something like that.

Depends on: 1552800
Flags: needinfo?(ehsan)

Jim can you assign someone to take a look at this?

Flags: needinfo?(jmathies)
Whiteboard: [retriggered][stockwell needswork:owner]

(In reply to :ehsan akhgari from comment #18)

It looks like the content processes are crashing here. This failure (bug 1552800) is the only thing that has a crash stack. This probably has nothing to do with bug 1581160, except for a timing change or something like that.

That fix did not help, see this try push.

Looking at https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267670744&repo=try&lineNumber=6321, there are two IndexedDB errors:

https://searchfox.org/mozilla-central/rev/7531325c8660cfa61bf71725f83501028178cbb9/dom/indexedDB/ActorsParent.cpp#12624
https://searchfox.org/mozilla-central/source/dom/indexedDB/IDBDatabase.cpp#536

It looks like when there is a local settings database, we import it into IndexedDB. My guess is that we probably somehow shutdown prematurely when some IDB transactions are in progress.

I'm now trying out a different fix.

No longer depends on: 1552800

Removing the ni for Jim since Ehsan made a fix.

Flags: needinfo?(jmathies)
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b281b340b9f7
Disable the remote settings database creation instead of the server in web extension xpcshell tests; r=kmag
Backout by btara@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1c5ea863a16d
Backed out changeset b281b340b9f7 for test_ext_proxy_socks.js failures CLOSED TREE

Backed out changeset b281b340b9f7 (Bug 1582053) for test_ext_proxy_socks.js failures

  • also fails on xpcshell/test_proxy_userContextId.js

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=xpcshell-e10s&fromchange=07eb2cc7e1c31f2bc6ae24ade3847f39e1403acf&tochange=1c5ea863a16d4f23307041bee7772d69857179c5

Backout link: https://hg.mozilla.org/integration/autoland/rev/1c5ea863a16d4f23307041bee7772d69857179c5

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267911817&repo=autoland&lineNumber=4869

[task 2019-09-23T06:43:14.926Z] 06:43:14 INFO - TEST-START | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js
[task 2019-09-23T06:43:17.859Z] 06:43:17 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | xpcshell return code: 0
[task 2019-09-23T06:43:17.859Z] 06:43:17 INFO - TEST-INFO took 2920ms
[task 2019-09-23T06:43:17.860Z] 06:43:17 INFO - >>>>>>>
[task 2019-09-23T06:43:17.860Z] 06:43:17 INFO - PID 5334 | [5334, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2632
[task 2019-09-23T06:43:17.860Z] 06:43:17 INFO - PID 5334 | [5334, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 661
[task 2019-09-23T06:43:17.860Z] 06:43:17 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-09-23T06:43:17.860Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - running event loop
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | Starting check_remote
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - (xpcshell/head.js) | test check_remote pending (2)
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | check_remote - [check_remote : 1] useRemoteWebExtensions matches - true == true
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | check_remote - [check_remote : 1] testing from extension process - false == false
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 1 pending (2)
[task 2019-09-23T06:43:17.861Z] 06:43:17 INFO - (xpcshell/head.js) | test check_remote finished (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | Starting test_socks_server
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test test_socks_server pending (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 1 finished (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 2 pending (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test test_socks_server finished (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | Starting test_webRequest_socks_proxy
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test test_webRequest_socks_proxy pending (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - "Extension attached"
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - (xpcshell/head.js) | test run_next_test 2 finished (2)
[task 2019-09-23T06:43:17.862Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - PID 5334 | JavaScript error: /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js, line 424: TypeError: Argument 1 of TextDecoder.decode could not be converted to any of: ArrayBufferView, ArrayBuffer.
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - PID 5334 | [5334, Main Thread] WARNING: Workers don't support the 'mem.mem.' preference!: file /builds/worker/workspace/build/src/dom/workers/RuntimeService.cpp, line 544
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "TypeError: Argument 1 of TextDecoder.decode could not be converted to any of: ArrayBufferView, ArrayBuffer." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js" line: 424}]"
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - PID 5334 | ++DOCSHELL 0x1222cc000 == 1 [pid = 5334] [id = {ac2bcf14-48da-3f43-993b-ab1294f945a8}]
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 1 (0x126250020) [pid = 5334] [serial = 1] [outer = 0x0]
[task 2019-09-23T06:43:17.863Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 2 (0x12216fc00) [pid = 5334] [serial = 2] [outer = 0x126250020]
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [5334, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/ThirdPartyUtil.cpp, line 416
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 3 (0x126291000) [pid = 5334] [serial = 3] [outer = 0x126250020]
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: Couldn't get the user appdata directory, crash dumps will go in an unusual location: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2702
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [5335, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [5335, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: Need BrowserChild to get the nativeWindow from!: file /builds/worker/workspace/build/src/widget/PuppetWidget.cpp, line 1090
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | [Parent 5334, GMPThread] WARNING: Failed to delete GMP storage directory: file /builds/worker/workspace/build/src/dom/media/gmp/GMPServiceParent.cpp, line 1571
[task 2019-09-23T06:43:17.864Z] 06:43:17 INFO - PID 5334 | ++DOCSHELL 0x127208800 == 1 [pid = 5335] [id = {2e7665ba-f166-3140-b23b-c1db8c5326c0}]
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 1 (0x12723e020) [pid = 5335] [serial = 1] [outer = 0x0]
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 2 (0x1216d4000) [pid = 5335] [serial = 2] [outer = 0x12723e020]
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - PID 5334 | [Child 5335, Main Thread] WARNING: Fallback to BasicLayerManager: file /builds/worker/workspace/build/src/dom/ipc/BrowserChild.cpp, line 2638
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - PID 5334 | [Child 5335, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80070057: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 671
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 3 (0x1216d9800) [pid = 5335] [serial = 3] [outer = 0x12723e020]
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "proxy.register has been deprecated and will be removed in Firefox 71." {file: "moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/%7Bab9ec705-9236-a845-a887-462e535c5649%7D.js" line: 39}]
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - makeError@resource://gre/modules/Schemas.jsm:507:14
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - logWarning@resource://gre/modules/Schemas.jsm:1211:25
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - logDeprecation@resource://gre/modules/Schemas.jsm:1203:10
[task 2019-09-23T06:43:17.865Z] 06:43:17 INFO - checkDeprecated@resource://gre/modules/Schemas.jsm:1239:12
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - stub@resource://gre/modules/Schemas.jsm:2656:14
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - background@moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/%7Bab9ec705-9236-a845-a887-462e535c5649%7D.js:39:25
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - @moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/%7Bab9ec705-9236-a845-a887-462e535c5649%7D.js:41:5
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | ++DOCSHELL 0x12a780800 == 2 [pid = 5334] [id = {a5a81964-0f19-3a4f-ac8b-9670e3c04960}]
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 4 (0x1262507a0) [pid = 5334] [serial = 4] [outer = 0x0]
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 5 (0x110776c00) [pid = 5334] [serial = 5] [outer = 0x1262507a0]
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/ThirdPartyUtil.cpp, line 416
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 6 (0x110778800) [pid = 5334] [serial = 6] [outer = 0x1262507a0]
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | [5336, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.866Z] 06:43:17 INFO - PID 5334 | [5336, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: Need BrowserChild to get the nativeWindow from!: file /builds/worker/workspace/build/src/widget/PuppetWidget.cpp, line 1090
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | ++DOCSHELL 0x11d108800 == 1 [pid = 5336] [id = {243db8fa-3cce-144b-9761-416f3e03ce39}]
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 1 (0x11d140020) [pid = 5336] [serial = 1] [outer = 0x0]
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 2 (0x1175db800) [pid = 5336] [serial = 2] [outer = 0x11d140020]
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | [Child 5336, Main Thread] WARNING: Fallback to BasicLayerManager: file /builds/worker/workspace/build/src/dom/ipc/BrowserChild.cpp, line 2638
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | [Child 5336, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80070057: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 671
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/netwerk/cache/nsCacheService.cpp, line 169
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: '!workerClassifier', file /builds/worker/workspace/build/src/netwerk/url-classifier/AsyncUrlChannelClassifier.cpp, line 785
[task 2019-09-23T06:43:17.867Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy host - Expected: 127.0.0.1, Actual: 127.0.0.1 - true == true
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy port - Expected: 65535, Actual: 65535 - true == true
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy type - Expected: socks, Actual: socks - true == true
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy username not set - Expected: foo, Actual: foo - true == true
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] no proxy password passed to webrequest - Expected: undefined, Actual: undefined - true == true
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - PID 5334 | ++DOMWINDOW == 3 (0x1175e0c00) [pid = 5336] [serial = 3] [outer = 0x11d140020]
[task 2019-09-23T06:43:17.868Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy host - Expected: 127.0.0.1, Actual: 127.0.0.1 - true == true
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy port - Expected: 65535, Actual: 65535 - true == true
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy type - Expected: socks, Actual: socks - true == true
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] proxy username not set - Expected: foo, Actual: foo - true == true
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 405] no proxy password passed to webrequest - Expected: undefined, Actual: undefined - true == true
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - server: read in invalid state!
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js:callState:95
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js:SocksClient/socket.ondata/<:63
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:_do_main:246
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:_execute_test:573
[task 2019-09-23T06:43:17.869Z] 06:43:17 INFO - -e:null:1
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - exiting test
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - PID 5334 | JavaScript error: /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js, line 789: NS_ERROR_ABORT
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.870Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NS_ERROR_ABORT" {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 789}]"
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 224] subnegotiation version - 1 == 1
[task 2019-09-23T06:43:17.871Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 234] socks auth username - "foo" == "foo"
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 235] socks auth password - "bar" == "bar"
[task 2019-09-23T06:43:17.872Z] 06:43:17 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 265] A promise chain failed to handle a rejection: [Exception... "Abort" nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js :: _abort_failed_test :: line 789" data: no] - stack: _abort_failed_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:789:20
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - do_throw@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:782:3
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - callState@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js:95:17
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - SocksClient/socket.ondata/<@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/tests/toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js:63:14
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - _do_main@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:246:6
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:573:5
[task 2019-09-23T06:43:17.872Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - Rejection date: Mon Sep 23 2019 06:43:17 GMT+0000 (Greenwich Mean Time) - false == true
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:265
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:_execute_test:574
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - -e:null:1
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - exiting test
[task 2019-09-23T06:43:17.873Z] 06:43:17 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_proxy_socks.js | test_webRequest_socks_proxy - [test_webRequest_socks_proxy : 381] message queue is empty - "[\"done\"]" == "[]"
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - resource://testing-common/ExtensionXPCShellUtils.jsm:clearMessageQueues:381
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - resource://testing-common/ExtensionXPCShellUtils.jsm:ExtensionWrapper/<:323
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:_execute_test/<:636
[task 2019-09-23T06:43:17.873Z] 06:43:17 INFO - exiting test
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - NS_ERROR_ABORT:
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - _abort_failed_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:789:20
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - do_report_result@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:890:5
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - Assert<@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:67:21
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - proto.report@resource://testing-common/Assert.jsm:233:10
[task 2019-09-23T06:43:17.874Z] 06:43:17 INFO - equal@resource://testing-common/Assert.jsm:275:8
[task 2019-09-23T06:43:17.875Z] 06:43:17 INFO - clearMessageQueues@resource://testing-common/ExtensionXPCShellUtils.jsm:381:22
[task 2019-09-23T06:43:17.875Z] 06:43:17 INFO - ExtensionWrapper/<@resource://testing-common/ExtensionXPCShellUtils.jsm:323:12
[task 2019-09-23T06:43:17.875Z] 06:43:17 INFO - _execute_test/<@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:636:28
[task 2019-09-23T06:43:17.875Z] 06:43:17 INFO - async*_execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:645:5
[task 2019-09-23T06:43:17.875Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Socket Thread] WARNING: cannot post event if not initialized: file /builds/worker/workspace/build/src/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 278
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.876Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.877Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js" line: 656}]
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - _execute_test@/Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js:656:19
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - @-e:1:1
[task 2019-09-23T06:43:17.878Z] 06:43:17 INFO - "
[task 2019-09-23T06:43:17.880Z] 06:43:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://localhost/" line: 0}]"
[task 2019-09-23T06:43:17.880Z] 06:43:17 INFO - PID 5334 | [5337, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.880Z] 06:43:17 INFO - PID 5334 | [5337, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.880Z] 06:43:17 INFO - PID 5334 | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Child 5336, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2436
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/security/manager/ssl/DataStorage.cpp, line 333
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/security/manager/ssl/DataStorage.cpp, line 247
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Child 5335, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2436
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Child 5335, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 725
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | [Child 5336, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 725
[task 2019-09-23T06:43:17.881Z] 06:43:17 INFO - PID 5334 | --DOCSHELL 0x11d108800 == 0 [pid = 5336] [id = {243db8fa-3cce-144b-9761-416f3e03ce39}] [url = http://localhost/]
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 2 (0x1175e0c00) [pid = 5336] [serial = 3] [outer = 0x0] [url = http://localhost/]
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 1 (0x11d140020) [pid = 5336] [serial = 1] [outer = 0x0] [url = http://localhost/]
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 0 (0x1175db800) [pid = 5336] [serial = 2] [outer = 0x0] [url = about:blank]
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | --DOCSHELL 0x127208800 == 0 [pid = 5335] [id = {2e7665ba-f166-3140-b23b-c1db8c5326c0}] [url = moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/_generated_background_page.html]
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | nsStringStats
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | => mAllocCount: 4708
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | => mReallocCount: 0
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | => mFreeCount: 4708
[task 2019-09-23T06:43:17.882Z] 06:43:17 INFO - PID 5334 | => mShareCount: 3162
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | => mAdoptCount: 184
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | => mAdoptFreeCount: 188
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | => Process ID: 5336, Thread ID: 4395836864
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 2 (0x12723e020) [pid = 5335] [serial = 1] [outer = 0x0] [url = moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/_generated_background_page.html]
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 1 (0x1216d4000) [pid = 5335] [serial = 2] [outer = 0x0] [url = about:blank]
[task 2019-09-23T06:43:17.883Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 0 (0x1216d9800) [pid = 5335] [serial = 3] [outer = 0x0] [url = moz-extension://e7fba1d9-01c1-254c-a9dd-6f7a92af43e4/_generated_background_page.html]
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: unable to post continuation event: file /builds/worker/workspace/build/src/xpcom/io/nsStreamUtils.cpp, line 445
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | nsStringStats
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | => mAllocCount: 6614
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | => mReallocCount: 0
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | => mFreeCount: 6614
[task 2019-09-23T06:43:17.885Z] 06:43:17 INFO - PID 5334 | => mShareCount: 4209
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => mAdoptCount: 266
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => mAdoptFreeCount: 272
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => Process ID: 5335, Thread ID: 4648412608
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | [Child 5337, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 725
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | JavaScript error: /Users/cltbld/tasks/task_1569206494/build/tests/xpcshell/head.js, line 1568: TypeError: _isGenerator is not a function
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | --DOCSHELL 0x12a780800 == 1 [pid = 5334] [id = {a5a81964-0f19-3a4f-ac8b-9670e3c04960}] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | --DOCSHELL 0x1222cc000 == 0 [pid = 5334] [id = {ac2bcf14-48da-3f43-993b-ab1294f945a8}] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | nsStringStats
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => mAllocCount: 3623
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => mReallocCount: 0
[task 2019-09-23T06:43:17.886Z] 06:43:17 INFO - PID 5334 | => mFreeCount: 3623
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | => mShareCount: 2374
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | => mAdoptCount: 49
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | => mAdoptFreeCount: 49
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | => Process ID: 5337, Thread ID: 4593841600
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 5 (0x12216fc00) [pid = 5334] [serial = 2] [outer = 0x0] [url = about:blank]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 4 (0x110776c00) [pid = 5334] [serial = 5] [outer = 0x0] [url = about:blank]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 3 (0x1262507a0) [pid = 5334] [serial = 4] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 2 (0x110778800) [pid = 5334] [serial = 6] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 1 (0x126291000) [pid = 5334] [serial = 3] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | --DOMWINDOW == 0 (0x126250020) [pid = 5334] [serial = 1] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: Extra shutdown CC: 'i < NORMAL_SHUTDOWN_COLLECTIONS', file /builds/worker/workspace/build/src/xpcom/base/nsCycleCollector.cpp, line 3361
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | [Parent 5334, Main Thread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:17.887Z] 06:43:17 INFO - PID 5334 | nsStringStats
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mAllocCount: 21975
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mReallocCount: 0
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mFreeCount: 21970 -- LEAKED 5 !!!
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mShareCount: 19683
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mAdoptCount: 747
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => mAdoptFreeCount: 767
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - PID 5334 | => Process ID: 5334, Thread ID: 4578604480
[task 2019-09-23T06:43:17.888Z] 06:43:17 INFO - <<<<<<<
[task 2019-09-23T06:43:17.899Z] 06:43:17 INFO - TEST-START | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js
[task 2019-09-23T06:43:20.568Z] 06:43:20 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js | xpcshell return code: 0
[task 2019-09-23T06:43:20.568Z] 06:43:20 INFO - TEST-INFO took 2667ms
[task 2019-09-23T06:43:20.568Z] 06:43:20 INFO - >>>>>>>
[task 2019-09-23T06:43:20.568Z] 06:43:20 INFO - PID 5338 | [5338, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2632
[task 2019-09-23T06:43:20.569Z] 06:43:20 INFO - PID 5338 | [5338, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 661
[task 2019-09-23T06:43:20.569Z] 06:43:20 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-09-23T06:43:20.569Z] 06:43:20 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-09-23T06:43:20.569Z] 06:43:20 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-09-23T06:43:20.569Z] 06:43:20 INFO - running event loop
[task 2019-09-23T06:43:20.570Z] 06:43:20 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js | Starting check_remote
[task 2019-09-23T06:43:20.570Z] 06:43:20 INFO - (xpcshell/head.js) | test check_remote pending (2)
[task 2019-09-23T06:43:20.570Z] 06:43:20 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js | check_remote - [check_remote : 1] useRemoteWebExtensions matches - true == true
[task 2019-09-23T06:43:20.570Z] 06:43:20 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js | check_remote - [check_remote : 1] testing from extension process - false == false
[task 2019-09-23T06:43:20.570Z] 06:43:20 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - (xpcshell/head.js) | test run_next_test 1 pending (2)
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - (xpcshell/head.js) | test check_remote finished (2)
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_proxy_userContextId.js | Starting test_userContextId_proxy_onRequest
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - (xpcshell/head.js) | test test_userContextId_proxy_onRequest pending (2)
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - "Extension attached"
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - (xpcshell/head.js) | test run_next_test 1 finished (2)
[task 2019-09-23T06:43:20.571Z] 06:43:20 INFO - PID 5338 | [5338, Main Thread] WARNING: Workers don't support the 'mem.mem.' preference!: file /builds/worker/workspace/build/src/dom/workers/RuntimeService.cpp, line 544
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | ++DOCSHELL 0x115193000 == 1 [pid = 5338] [id = {74ab0480-4650-f74e-b731-80adf431c4c3}]
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 1 (0x119070020) [pid = 5338] [serial = 1] [outer = 0x0]
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 2 (0x119017800) [pid = 5338] [serial = 2] [outer = 0x119070020]
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | [5338, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/ThirdPartyUtil.cpp, line 416
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 3 (0x1190c8c00) [pid = 5338] [serial = 3] [outer = 0x119070020]
[task 2019-09-23T06:43:20.572Z] 06:43:20 INFO - PID 5338 | [Parent 5338, Main Thread] WARNING: Couldn't get the user appdata directory, crash dumps will go in an unusual location: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2702
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | [5339, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | [5339, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | [Parent 5338, GMPThread] WARNING: Failed to delete GMP storage directory: file /builds/worker/workspace/build/src/dom/media/gmp/GMPServiceParent.cpp, line 1571
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | [Parent 5338, Main Thread] WARNING: Need BrowserChild to get the nativeWindow from!: file /builds/worker/workspace/build/src/widget/PuppetWidget.cpp, line 1090
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | ++DOCSHELL 0x11ae08800 == 1 [pid = 5339] [id = {7a0b7393-f6f0-e041-8312-08d878a97f45}]
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 1 (0x11ae3f020) [pid = 5339] [serial = 1] [outer = 0x0]
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 2 (0x1152d3000) [pid = 5339] [serial = 2] [outer = 0x11ae3f020]
[task 2019-09-23T06:43:20.573Z] 06:43:20 INFO - PID 5338 | [Child 5339, Main Thread] WARNING: Fallback to BasicLayerManager: file /builds/worker/workspace/build/src/dom/ipc/BrowserChild.cpp, line 2638
[task 2019-09-23T06:43:20.574Z] 06:43:20 INFO - PID 5338 | [Child 5339, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80070057: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 671
[task 2019-09-23T06:43:20.574Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 3 (0x1152d6800) [pid = 5339] [serial = 3] [outer = 0x11ae3f020]
[task 2019-09-23T06:43:20.574Z] 06:43:20 INFO - PID 5338 | ++DOCSHELL 0x11d29f800 == 2 [pid = 5338] [id = {fa45153f-0872-e54f-9d05-6183fbad9f80}]
[task 2019-09-23T06:43:20.574Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 4 (0x1190707a0) [pid = 5338] [serial = 4] [outer = 0x0]
[task 2019-09-23T06:43:20.574Z] 06:43:20 INFO - PID 5338 | ++DOMWINDOW == 5 (0x107675000) [pid = 5338] [serial = 5] [outer = 0x1190707a0]
....

Flags: needinfo?(ehsan)

Jim can you take a look at this?

Flags: needinfo?(jmathies)
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered]
Flags: needinfo?(ehsan)
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4e184bed3bb1
Disable the remote settings database creation instead of the server in web extension xpcshell tests; r=kmag
Status: REOPENED → RESOLVED
Closed: 3 months ago3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla71

Clearing needinfo (Ehsan already handled it, and after the last fix has been landed there wasn't any new failure tracked on orangefactor for this issue).

Flags: needinfo?(jmathies)
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered][stockwell fixed]

Hello,
Will this require manual validation from the qa side? If yes, please provide some steps to reproduce in order to correctly test it. Otherwise, could the "qe-verify-" flag be added? Thanks!

Flags: needinfo?(ehsan)
Flags: needinfo?(ehsan) → qe-verify-
You need to log in before you can comment on or make changes to this bug.